﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Navigation;
using Library.Services;
using System.Windows.Ria.Data;
using System.Windows.Controls.DataVisualization.Charting;
using Library.DataModel;

namespace Library.Pages {

    public partial class StatsPage : Page {

        private LibraryManagementContext _library;

        public StatsPage() {
            InitializeComponent();
            _library = new LibraryManagementContext();
        }

        // Executes when the user navigates to this page.
        protected override void OnNavigatedTo(NavigationEventArgs e) {
            _library.Load(_library.GetStatsQuery(), delegate(LoadOperation<BookYearStat> operation) {
                ((ColumnSeries)booksChart.Series[0]).ItemsSource = _library.BookYearStats;
            }, null);
        }
    }
}
