﻿// BooksDBDataContext.cs
//

using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using Microsoft.Azure.Linq;

namespace Library.Web {

    public class BooksDBDataContext : DataContext {

        private EntitySet<Book> _books;

        public BooksDBDataContext()
            : base("BooksDBConnection") {
        }

        public virtual EntitySet<Book> Books {
            get {
                if (_books == null) {
                    _books = new EntitySet<Book>(this, "Books");
                }
                return _books;
            }
        }
    }
}
