﻿namespace Library.Models {
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.Linq;
    using System.Web.Ria;
    using System.Web.Ria.Data;
    using System.Web.DomainServices;

    [MetadataTypeAttribute(typeof(Book.BookMetadata))]
    public partial class Book {

        private static class BookMetadata {

            [Required]
            public static readonly object ASIN = null;

            [Required]
            public static readonly object Author = null;

            [Include("CategoryName", "CategoryName")]
            public static readonly object Category = null;

            [Required]
            public static readonly object Description = null;

            [Required]
            public static readonly object Title = null;
        }
    }
}
